import axios from 'axios';

export const path = `${location.origin}/service`

const http = axios.create({
  baseURL: path,
});

// 添加响应拦截器
http.interceptors.response.use(function (response) {
  return response.data;
}, function (error) {
  return Promise.reject(error);
});

// get方法
export function get(url) {
  url = path + url;
  return http({
    method: 'get',
    url,
  });
}

// post方法
export function post(url, data = {}) {
  url = path + url;
  return http({
    method: 'post',
    url,
    data,
  });
}

// postExport方法
export function postExport(url, data = {}) {
  url = path + url;
  return http({
    method: 'post',
    url,
    data,
    responseType:'arraybuffer'
  });
}
