import { createRouter, createWebHashHistory } from 'vue-router'
import Home from '../views/Home.vue'

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: Home
    },
    {
      path: '/quiltWashingDepartment/:deptId/:type/:startTime/:endTime',
      name: 'quiltWashingDepartment',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/QuiltWashingDepartment.vue')
    },
    {
      path: '/quiltWashingHospital/:dateStr/:type',
      name: 'quiltWashingHospital',
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import('../views/QuiltWashingHospital.vue')
    },
  ]
})

export default router
